Search documentation of ExStreamClient

# ExStreamClient.Model.EventHook (ExStreamClient v0.1.10)

View Source

Schema representing a EventHook

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EventHook{
      created_at: float() | nil,
      enabled: boolean() | nil,
      event_types: [String.t()] | nil,
      hook_type: String.t() | nil,
      id: String.t() | nil,
      sns_auth_type: String.t() | nil,
      sns_key: String.t() | nil,
      sns_region: String.t() | nil,
      sns_role_arn: String.t() | nil,
      sns_secret: String.t() | nil,
      sns_topic_arn: String.t() | nil,
      sqs_auth_type: String.t() | nil,
      sqs_key: String.t() | nil,
      sqs_queue_url: String.t() | nil,
      sqs_region: String.t() | nil,
      sqs_role_arn: String.t() | nil,
      sqs_secret: String.t() | nil,
      updated_at: float() | nil,
      webhook_url: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()